//
//  LandingVC.swift
//  DKRefImplSwift
//
//  Updated March 2020.
//  Copyright © 2020 The Nielsen Company, All rights reserved.
//

import UIKit
import NielsenAppApi

class LandingVC: UIViewController, NielsenAppApiDelegate {
    
    @IBOutlet weak var btnVoDContent: UIButton!
    @IBOutlet weak var btnVoDContentWithPrerollAd: UIButton!
    @IBOutlet weak var btnPrivacy: UIButton!
    @IBOutlet weak var btnLiveBRNorth: UIButton!
    @IBOutlet weak var btnLiveBRSouth: UIButton!
    @IBOutlet weak var SDKLabel: UILabel!
    
    var nielsenApi : NielsenAppApi!
    var currentViewController : ViewController? = nil
    override func viewDidLoad() {
        super.viewDidLoad()

        self.view.backgroundColor = UIColor(patternImage: UIImage(named: "new_ios_bg.png")!)
        
        setButtonBorderColor(button: btnVoDContent)
        setButtonBorderColor(button: btnVoDContentWithPrerollAd)
        setButtonBorderColor(button: btnPrivacy)
        setButtonBorderColor(button: btnLiveBRNorth)
        setButtonBorderColor(button: btnLiveBRSouth)
        // Create shared instance of NielsenApi
        self.nielsenApi = NielsenInit.getSharedAppApi(delegate: self)
        SDKLabel.text = "SDK Version: " + self.nielsenApi.meterVersion
        currentViewController = nil
    }

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        switch segue.identifier {
        case "segVoD":
            currentViewController = segue.destination as? ViewController
            currentViewController?.videoType = Constants.vodContent
            currentViewController?.totalVideos = 1
            break
        case "segVoDwithPrerollAd":
            currentViewController = segue.destination as? ViewController
            currentViewController?.videoType = Constants.vodContentWithPrerollAd
            currentViewController?.totalVideos = 2
            break
        case "segLiveBRNorth":
            currentViewController = segue.destination as? ViewController
            currentViewController?.videoType = Constants.liveContentBRNorth
            currentViewController?.totalVideos = 1
            break
        case "segLiveBRSouth":
            currentViewController = segue.destination as? ViewController
            currentViewController?.videoType = Constants.liveContentBRSouth
            currentViewController?.totalVideos = 1
            break
        default:
            currentViewController = nil
            break
        }
    }
    
    override func viewDidAppear(_ animated: Bool) {
        print("==##!!> LandingVC -- viewDidAppear")
        super.viewDidAppear(animated)
    }
    
    func setButtonBorderColor(button : UIButton){
        button.layer.borderColor = UIColor.white.cgColor
    }

    func nielsenAppApi(_ appApi: NielsenAppApi!, eventOccurred event: [AnyHashable : Any]!) {
        print("==##!!> LandingVC -- Nielsen SDK eventOccurred")
        if currentViewController != nil {
            currentViewController?.nielsenAppApi(appApi, eventOccurred: event)
        }
    }

    func nielsenAppApi(_ appApi: NielsenAppApi!, errorOccurred error: [AnyHashable : Any]!) {
         print("==##!!> LandingVC -- Nielsen SDK errorOccurred")
        if currentViewController != nil {
             currentViewController?.nielsenAppApi(appApi, errorOccurred: error)
        }
    }
    
}
