//
//  NielsenInit.swift
//  DKRefImplSwift
//
//  Updated March 2020.
//  Copyright © 2020 The Nielsen Company, All rights reserved.
//

import Foundation
import NielsenAppApi

class NielsenInit : NSObject {
    static var sharedAppApi : NielsenAppApi? = nil
    
    static func getSharedAppApi(delegate: NielsenAppApiDelegate) -> NielsenAppApi? {
        if sharedAppApi == nil {
            print("==##> Nielsen SDK NielsenInit.getAppApi() - create Instance ")
            sharedAppApi = createInstance(delegate: delegate)
        }
        return sharedAppApi;
    }

    static func getAppApi() -> NielsenAppApi? {
        return sharedAppApi;
    }
    
    static private func createInstance(delegate: NielsenAppApiDelegate) -> NielsenAppApi?{
        let appInformation:[String: String] = [
            
            "appid": "P728ACBA8-E92E-4EEE-BBC9-D7C4F344FD7D",
            "appversion": "1.2",
            "nol_devDebug": "DEBUG"
        ]
        return NielsenAppApi(appInfo:appInformation, delegate:delegate)
    }
}
