//
//  OptOutVC.swift
//  DKRefImplSwift
//
//  Updated March 2020.
//  Copyright © 2020 The Nielsen Company, All rights reserved.
//

import UIKit
import WebKit

class OptOutVC: UIViewController , WKNavigationDelegate {
    
    var webView: WKWebView!
    
    override func loadView() {
        webView = WKWebView()
        webView.navigationDelegate = self
        self.view = webView
    }
    
    func closeOptOutView() {
        self.dismiss(animated: true, completion: nil)
    }
    
    func webView(_ webView: WKWebView, decidePolicyFor navigationAction: WKNavigationAction, decisionHandler: @escaping (WKNavigationActionPolicy) -> Void) {
        if navigationAction.navigationType == .linkActivated {
            if let url = navigationAction.request.url?.absoluteString, url.hasSuffix("#") {
                decisionHandler(.allow)
            } else {
                decisionHandler(.cancel)
                webView.load(navigationAction.request)
            }
        } else {
            decisionHandler(.allow)
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        self.view.backgroundColor = UIColor(patternImage: UIImage(named: "new_ios_bg.png")!)
        let privPolicyUrl = URL(string: "https://sites.nielsen.com/priv/browser/dk/da/DigitalMeasurement.html")
        webView.load(URLRequest(url: privPolicyUrl!))
        webView.allowsBackForwardNavigationGestures = true
    }
}
