//
//  SDKMethods.swift
//  DKRefImplSwift
//
//  Updated March 2020.
//  Copyright © 2020 The Nielsen Company, All rights reserved.
//

import Foundation

class SDKMethods : NSObject {

    var url = NSURL(string: "")
    var isAd : Bool = false
    var isLive : Bool = false
    func setContentUrl(contentType : Int) {
        //Loading Content URL
        switch contentType {
        case Constants.liveContentBRNorth:
            url = NSURL(string: "http://www.nielseninternet.com/NielsenConsumer/prog_index.m3u8")
            isLive = true
            break
        case Constants.liveContentBRSouth:
            url = NSURL(string: "http://nielsenonlinesupport.com/dk_prod/assets/RTVOD_C3/prog_index.m3u8")
            isLive = true
            break
        case Constants.vodContent:
            url = NSURL(string: "http://www.nielseninternet.com/NielsenConsumer/prog_index.m3u8")
            isLive = false
            break
        case Constants.vodContentWithPrerollAd:
            url = NSURL(string: "http://www.nielseninternet.com/NielsenConsumer/prog_index.m3u8")
            isLive = false
            break
        default:
            break
        }
        isAd = false
    }

    func setAdUrl() {

        //Loading Ad URL

        url = NSURL(string: "http://www.nielseninternet.com/NWCC-3002/prog_index.m3u8")
        isAd = true
        isLive = false
    }

    func loadChannelInfo() -> [String : Any] {

        //Loading Channel Info.

        let strUrl : String = (url?.absoluteString)!

        let channel = [ "channelName" : "ChannelTitle",
                        "mediaURL" : strUrl] as [String : Any]

        return channel
    }



    func loadContent(contentType : Int) -> [String : Any] {
        //Loading Content data
       setContentUrl(contentType: contentType)
        var length : String = ""
        var progName : String = ""
        var assetID : String = ""
        
        switch contentType {
          case Constants.liveContentBRNorth:
            progName = "live Event Content"
            assetID = "C77665"
            length = "3600"
            break
          case Constants.liveContentBRSouth:
            progName = "live Event Content with ID3 Tags"
            assetID = "C77666"
            length = "170"
            break
          case Constants.vodContent:
            progName = "VoD Content"
            assetID = "C77667"
            length = "3600"
            break
          case Constants.vodContentWithPrerollAd:
            progName = "VoD Content with Preroll Ad"
            assetID = "C77668"
            length = "3600"
            break
          default:
            break
        }
        
        let content = [
            "type":"content",
            "assetid":assetID,
            "length":length,
            "program":progName,
            "title":"Program Sample Title",
            "airdate":"20200322 10:00:00",
            "isfullepisode":"y",
            "adloadtype":"2",
            "progen":"Drama"
        ]

        return content
    }

    func loadPreRollAd() -> [String : Any] {
        //loading Ad data.
       setAdUrl()

        let ad = [
            "type":"preroll",
            "assetid":"AD1"] as [String : Any]

        return ad

    }
}
